@import url("../styles/root.css");

body {
    background-color: #f4f6f9;
}

.table-hover tbody tr:hover {
    background-color: #e9ecef;
    cursor: pointer;
}

.filter-section {
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.table-dark {
    --bs-table-bg: var(--primary-color) !important
}

th {
    --radius: 6px;
}

th#left {
    border-top-left-radius: var(--radius);
}

th#right {
    border-top-right-radius: var(--radius);
}

/* full name suggestions-box */
.suggestions-box {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    list-style-type: none;
    padding: 0;
    margin-top: 5px;
    border: 1px solid var(--form-input-border);
    max-height: 150px;
    overflow-y: auto;
    display: none;
    opacity: 0;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    position: absolute;
    color: var(--text-color);
    background-color: var(--popup-bg);
    width: 300px;
    z-index: 1000;
}

.suggestions-box.show {
    display: block;
    opacity: 1;
}

.suggestions-box.hide {
    display: block;
    opacity: 0;
    visibility: hidden;
}

.suggestions-box li {
    padding: 8px;
    cursor: pointer;
    transition: filter 0.3s ease, background-color 0.3s ease;
}

.suggestions-box li:hover {
    filter: brightness(120%);
    background-color: rgba(0, 0, 0, 0.1);
}

.suggestions-box li strong {
    color: var(--popup-button-hover-bg);
}